Starmade | Fleets losing docked entities
Resolved, needs quality check / confirm fix, HighPublic

Description

NPC faction or player fleets are leaving docked entities behind. I've been noticing this for a while. But haven't seen any bug reports for it yet, so here it is.

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.335 (DEV)
Category
Fleets
First occurrence (version)
v0.199.335
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
Nvidia Geforce GTS 750 Ti
User/Reporter/Contact
Username on Registry
Kingofanime
Steps to reproduce
  1. create a fleet
  2. add a ship with a lot of entities
  3. order that fleet to go somewhere
  4. wait at the destination and watch it show up with missing parts
Tester information (Internal use only)

in my test i could only once find one of those missing docks on the flight path.
it was one sector away from the destination.
the others i couldnt find anywhere

looks like a inverted version of https://phab.starma.de/T1172

Detected video (Graphicsinfo.txt)

Running on thread: main
Adapter: nvd3dumx,nvwgf2umx,nvwgf2umx
Driver Version: 10.18.13.6200
Vendor: NVIDIA Corporation
OpenGL Version: 4.5.0 NVIDIA 362.00
Renderer: GeForce GTX 750 Ti/PCIe/SSE2
GLSL Ver: 4.50 NVIDIA

SMC-Report

Starmade System Checker Report
Tue 12/13/2016
14:45:19.55

RESULTS:
Windows version: Windows 8.1 64-bit ....PASS
Processor: Intel(R) Core(TM) i3-4160 CPU @ 3.60GHz (4 CPUs), ~3.6GHz
Memory: 8192MB RAM
Graphics Card name: NVIDIA GeForce GTX 750 Ti ....PASS
Java version: 64-bit Java 8 ....PASS

Serverconfig (server.cfg)
WORLD = Test19 //set world to use (set 'old' for using the old world). if no world exists a new one will be set automatically
PROTECT_STARTING_SECTOR = false //Protects the starting sector
ENABLE_SIMULATION = true //Universe AI simulation
CONCURRENT_SIMULATION = 256 //How many simulation groups may be in the universe simultaniously (performance)
ENEMY_SPAWNING = true //Enables enemy spawing
SECTOR_SIZE = 2000 //Sets the size of sectors in the universe **WARNING** scaling the size of an existing universe down may cause issues
BLUEPRINT_DEFAULT_PRIVATE = true //If true, set blueprints private as default (else they are public)
FLOATING_ITEM_LIFETIME_SECS = 240 //How much seconds items floating in space should be alive
SIMULATION_SPAWN_DELAY = 420 //How much seconds between simulation spawn ticks
SIMULATION_TRADING_FILLS_SHOPS = true //Trading guild will deliver stock to shops
SECTOR_INACTIVE_TIMEOUT = 20 //Time in secs after which sectors go inactive (-1 = off)
SECTOR_INACTIVE_CLEANUP_TIMEOUT = 10 //Time in secs after which inactive sectors are completely removed from memory (-1 = off)
USE_STARMADE_AUTHENTICATION = false //allow star-made.org authentication
REQUIRE_STARMADE_AUTHENTICATION = false //require star-made.org authentication (USE_STARMADE_AUTHENTICATION must be true)
PROTECTED_NAMES_BY_ACCOUNT = 10 //How many player names a player may protect with his account (if exceeded, the player name, that was logged in the longest time ago gets unprotected)
DEFAULT_BLUEPRINT_ENEMY_USE = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_FACTION_BUY = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_OTHERS_BUY = true //Default option for blueprints not in catalog yet
DEFAULT_BLUEPRINT_HOME_BASE_BUY = true //Default option for blueprints not in catalog yet
LOCK_FACTION_SHIPS = true //If true, ships of other factions cant be edited, activated, or entered
DEBUG_FSM_STATE = false //transfer debug FSM state. Turning this on may slow down network
PHYSICS_SHAPE_CASTING_TUNNELING_PREVENTION = false //Makes a convex cast for hight speed object to prevent clipping. High Cost. (Bugged right now, so dont turn it on)
CATALOG_SLOTS_PER_PLAYER = -1 //How many slots per player for saved ships (-1 for unlimited)
UNIVERSE_DAY_IN_MS = 1200000 //how long is a 'day' (stellar system rotation) in milliseconds (-1 to switch off system rotation)
FORCE_DISK_WRITE_COMPLETION = false //forces writing operations of raw data to disk directly after operation. For some OS this prevents raw data corruption
ASTEROIDS_ENABLE_DYNAMIC_PHYSICS = true //enables asteroids to be able to move in space
ENABLE_BREAK_OFF = false //debug (don't activate unless you know what you're doing)
COLLISION_DAMAGE = false //colliding into another object does damage
COLLISION_DAMAGE_THRESHOLD = 2.0 //Threshold of Impulse that does damage (the lower, the less force is needed for damage)
SKIN_ALLOW_UPLOAD = true //if off, skin uploading to server is deactivated
CATALOG_NAME_COLLISION_HANDLING = false //if off, saving with an existing entry is denied, if on the name is automatically changed by adding numbers on the end
SECTOR_AUTOSAVE_SEC = 300 //Time interval in secs the server will autosave (-1 for never)
PHYSICS_SLOWDOWN_THRESHOLD = 40 //Milliseconds a collision test may take before anti-slowdown mode is activated
THRUST_SPEED_LIMIT = 75 //How fast ships, etc. may go in m/s . Too high values may induce physics tunneling effects
MAX_CLIENTS = 32 //Max number of clients allowed on this server
SUPER_ADMIN_PASSWORD_USE = false //Enable super admin for this server
SUPER_ADMIN_PASSWORD = mypassword //Super admin password for this server
SERVER_LISTEN_IP = all //Enter specific ip for the server to listen to. use "all" to listen on every ip
SOCKET_BUFFER_SIZE = 65536 //buffer size of incoming and outgoing data per socket
PHYSICS_LINEAR_DAMPING = 0.05 //how much object slow down naturally (must be between 0 and 1): 0 is no slowdown
PHYSICS_ROTATIONAL_DAMPING = 0.05 //how much object slow down naturally (must be between 0 and 1): 0 is no slowdown
AI_DESTRUCTION_LOOT_COUNT_MULTIPLIER = 0.9 //multiply amount of items in a loot stack. use values smaller 1 for less and 0 for none
AI_DESTRUCTION_LOOT_STACK_MULTIPLIER = 0.9 //multiply amount of items spawned after AI destruction. use values smaller 1 for less and 0 for none
CHEST_LOOT_COUNT_MULTIPLIER = 0.9 //multiply amount of items in a loot stack. use values smaller 1 for less and 0 for none
CHEST_LOOT_STACK_MULTIPLIER = 0.9 //multiply amount of items spawned in chests of generated chests. use values smaller 1 for less and 0 for none
USE_WHITELIST = false //only names/ips from whitelist.txt are allowed
FILTER_CONNECTION_MESSAGES = false //don't display join/disconnect messages
USE_UDP = false //Use 'User Datagram Protocol' (UDP) instead of 'Transmission Control Protocol' (TCP) for connections
AUTO_KICK_MODIFIED_BLUEPRINT_USE = false //Kick players that spawn modified blueprints
AUTO_BAN_ID_MODIFIED_BLUEPRINT_USE = false //Ban player by name that spawn modified blueprints
AUTO_BAN_IP_MODIFIED_BLUEPRINT_USE = false //Ban player by IP that spawn modified blueprints
AUTO_BAN_TIME_IN_MINUTES = 60 //Time to ban in minutes (-1 for permanently)
REMOVE_MODIFIED_BLUEPRINTS = false //Auto-removes a modified blueprint
DEBUG_SEGMENT_WRITING = false //Debugs correctness of writing of segments (costs server performance)
TCP_NODELAY = true //Naggles algorithm (WARNING: only change when you know what you're doing)
PING_FLUSH = false //flushes ping/pong immediately (WARNING: only change when you know what you're doing)
RECIPE_BLOCK_COST = 5000 //How much blocks have to be invested to create a recipe (min 0)
SHOP_SPAWNING_PROBABILITY = 0.1 //(must be between 0 and 1): 0 is no shops spawned in asteroid sectors, 1 is shop spawned in everyone (default: 8% -> 0.08)
RECIPE_REFUND_MULT = 0.5 //how much blocks are refunded from selling a recipe (must be between 0 and 1): 0 no refund, 1 full refund
RECIPE_LEVEL_AMOUNT = 4000 //On how much created blocks will a recipe level up (base value) (min 0)
DEFAULT_SPAWN_SECTOR_X = 2 //DEFAULT Spawn Sector X Coordinate
DEFAULT_SPAWN_SECTOR_Y = 2 //DEFAULT Spawn Sector Y Coordinate
DEFAULT_SPAWN_SECTOR_Z = 2 //DEFAULT Spawn Sector Z Coordinate
MODIFIED_BLUEPRINT_TOLERANCE = 0.1 //Tolerance of modified blueprint trigger (default = 10%)
TURNING_DIMENSION_SCALE = 1.1 //Scaling of tuning speed VS ship dimension (default = 1.1)
DEFAULT_SPAWN_POINT_X_1 = 8.0 //First Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_POINT_Y_1 = -6.5 //First Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_POINT_Z_1 = 0.0 //First Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_POINT_X_2 = 15.0 //Second Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_POINT_Y_2 = -6.5 //Second Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_POINT_Z_2 = 8.0 //Second Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_POINT_X_3 = 8.0 //Third Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_POINT_Y_3 = -6.5 //Third Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_POINT_Z_3 = 15.0 //Third Rotating Spawn: Local Pos Z Coordinate
DEFAULT_SPAWN_POINT_X_4 = 0.0 //Forth Rotating Spawn: Local Pos X Coordinate
DEFAULT_SPAWN_POINT_Y_4 = -6.5 //Forth Rotating Spawn: Local Pos Y Coordinate
DEFAULT_SPAWN_POINT_Z_4 = 8.0 //Forth Rotating Spawn: Local Pos Z Coordinate
PLAYER_DEATH_CREDIT_PUNISHMENT = 0.1 //players credits lost of total on death (must be between 0 and 1): 1 = lose all, 0 = keep all
PLAYER_DEATH_CREDIT_DROP = false //drop credits lost on death into space instead
PLAYER_DEATH_BLOCK_PUNISHMENT = false //player will drop all his blocks into space on death
PLAYER_DEATH_PUNISHMENT_TIME = 300 //Time interval in seconds after death of a player in which the player is not punished
PLAYER_DEATH_INVULNERABILITY_TIME = 5 //Time the player is invulnerable after death in sec
PLAYER_HISTORY_BACKLOG = 30 //How many login history objects (with name, IP, account-name, and time) should be saved by player state
PROJECTILES_ADDITIVE_VELOCITY = false //initial projectile speed depend on relative linear velocity of object fired from
PROJECTILES_VELOCITY_MULTIPLIER = 1.0 //multiplicator for projectile velocity
IGNORE_DOCKING_AREA = false //ignores docking area size
ALLOW_UPLOAD_FROM_LOCAL_BLUEPRINTS = true //enables clients being able to upload their pre-build-blueprints to the server
SHOP_NPC_STARTING_CREDITS = 10000000 //how much credits do shops start with
SHOP_NPC_RECHARGE_CREDITS = 100000 //how much credits do shops gain about every 10 min
AI_WEAPON_AIMING_ACCURACY = 200 //how accurate the AI aims (the higher the value the more accurate vs distance. 10 = about 99% accuracy at 10m)
BROADCAST_SHIELD_PERCENTAGE = 5 //percent of shields changed for the server to broadcast a shield synch
BROADCAST_POWER_PERCENTAGE = 50 //percent of power changed for the server to broadcast a power synch (not that critical)
ADMINS_CIRCUMVENT_STRUCTURE_CONTROL = true //admins can enter ships of any faction
STAR_DAMAGE = true //suns dealing damage to entities
SQL_NIO_FILE_SIZE = 256 //megabyte limit of .data file when to use NIO (faster) (must be power of 2)
PLANET_SIZE_MEAN = 225.0 //Planet size mean (normal gaussian distribution) (min 50)
PLANET_SIZE_DEVIATION = 85.0 //Planet size standard deviation. Note: normal gaussian distribution graph scaled horizontally by 1/3 (min 0)
ASTEROID_RADIUS_MAX = 64 //Asteroid max radius in blocks (from -x to +x)
PLAYER_MAX_BUILD_AREA = 10 //max area a player may add/remove in adv. build mode
NT_SPAM_PROTECT_TIME_MS = 30000 //period of spam protection
ASTEROID_SECTOR_REPLENISH_TIME_SEC = -1 //seconds until a sector that is mined down to 0 asteroids is replenished (-1 = never)
NT_SPAM_PROTECT_MAX_ATTEMPTS = 30 //max attempts before refusing connections in spam protect period (default is 1/sec for 30 sec)
NT_SPAM_PROTECT_EXCEPTIONS = 127.0.0.1 //ips excepted from spam control (separate multiple with comma) (default is localhost)
NT_SPAM_PROTECT_ACTIVE = true //enables connection spawn protection (flooding servers with login attempts)
USE_PERSONAL_SECTORS = false //will spawn a player in a locked sector sandbox (warning, don't use unless you know what you do)
BATTLE_MODE = false //turn on battlemode (warning, don't use unless you know what you're doing)
BATTLE_MODE_CONFIG = battleSector=0,0,0,Physics.smsec;battleSector=15,15,15,Physics.smsec;countdownRound=300;countdownStart=30;maxMass=-1;maxDim=300;maxMassPerFaction=-1; //General config for battlemode
BATTLE_MODE_FACTIONS = [TeamA, fighters, 500,500,500, 0.5,0.1,0.9];[TeamB, fighters, -500,-500,-500, 0.5,0.9,0.2];[TeamFFA,ffa, 0,0,-500, 0.2,0.9,0.9];[Spectators,spectators, 0,500,0,0.8,0.4,0.8] //Faction config for battlemode
LEADERBOARD_BACKLOG = 24 //time in hours to keep leaderboard backlog (the more time, the more data has to be sent to client)
ANNOUNCE_SERVER_TO_SERVERLIST = false //announces the server to the starmade server list so clients can find it. Hostname must be provided for HOST_NAME_TO_ANNOUNCE_TO_SERVER_LIST!
HOST_NAME_TO_ANNOUNCE_TO_SERVER_LIST =  //this must be a valid hostname (either ip or host, e.g. play.star-made.org)
SERVER_LIST_NAME = NoName //max length 64 characters
SERVER_LIST_DESCRIPTION = NoDescription //max length 128 characters
MISSILE_DEFENSE_FRIENDLY_FIRE = true //can shoot down own or missiles from own faction
USE_DYNAMIC_RECIPE_PRICES = true //use recipe based prices (the price is the price of the parts it is made out of in crafting)
MAKE_HOMBASE_ATTACKABLE_ON_FP_DEFICIT = true //Home bases become attackable if a faction's Faction Points are in the minus and the faction doesn't own any territory
PLANET_SPECIAL_REGION_PROBABILITY = 240 //one out of thisValue chance of a special region spawning per planet plate (cities, pyramids, etc) (changing this value migth change some plates, but won't change any plates that are already modified by a player)
NT_BLOCK_QUEUE_SIZE = 1024 //How many blocks are sent per update. Huge placements will shot faster, but it will consume more bandwidth and is subject to spamming players
CHUNK_REQUEST_THREAD_POOL_SIZE_TOTAL = 10 //Thead pool size for chunk requests (from disk and generated)
CHUNK_REQUEST_THREAD_POOL_SIZE_CPU = 2 //Available threads of total for CPU generation. WARNING: too high can cause cpu spikes. About the amount of available cores minus one is best
BUY_BLUEPRINTS_WITH_CREDITS = false //buy blueprints directly with credits
SHOP_USE_STATIC_SELL_BUY_PRICES = false //shop buy and sell price change depending on stock (shop prices will always stay the same if true)
SHOP_SELL_BUY_PRICES_UPPER_LIMIT = 1.2 //maximum of base price a shop will want depending on its stock (e.g. max 120 credits if the normal cost is 100)
SHOP_SELL_BUY_PRICES_LOWER_LIMIT = 0.8 //minimum of base price a shop will want depending on its stock (e.g. max 80 credits if the normal cost is 100)
MINING_BONUS = 1 //general multiplier on all mining
MAX_LOGIC_SIGNAL_QUEUE_PER_OBJECT = 250000 //max logic trace queue allowed
MAX_COORDINATE_BOOKMARKS = 20 //coordinate bookmarks per player allowed
ALLOWED_STATIONS_PER_SECTOR = 1 //How many stations are allowed per sector
STATION_CREDIT_COST = 50000 //how much does a station or station blueprint cost
SKIN_SERVER_UPLOAD_BLOCK_SIZE = 256 //how fast should skins be transferred from server to clients (too high might cause lag) [default 256 ~ 16kb/s]
ALLOW_OLD_DOCKING_BEAM = false //enables old docking beam
WEIGHTED_CENTER_OF_MASS = true //if on, the center of mass for each structured will be calculated based on block mass. On 'false', the center of mass is always the core position
SECURE_UPLINK_ENABLED = false //dedicated servers can be registered on the StarMade registry
SECURE_UPLINK_TOKEN =  //uplink token, provided when registering a dedicated server
USE_STRUCTURE_HP = true //ships and other structures use the hitpoint system. if off, a ship will overheat when the core gets taken out (old)
SHOP_REBOOT_COST_PER_SECOND = 100.0 //Cost to reboot a ship at a shop (per second it would take to reboot in space)
SHOP_ARMOR_REPAIR_COST_PER_HITPOINT = 1.0 //Cost to repair a ship's armor at a shop
MAX_SIMULTANEOUS_EXPLOSIONS = 10 //the more the faster explosions at the same time are executed (costs in total about 20MB RAM each and of course CPU because it's all threaded) (10 is default for a medium powered singleplayer)
REMOVE_ENTITIES_WITH_INCONSISTENT_BLOCKS = false //This will remove ships that have blocks that are normally disallowed (e.g. space station blocks on ships)
OVERRIDE_INVALID_BLUEPRINT_TYPE = true //If a loaded blueprint is invalid, it's type will be overridden
FACTION_FOUNDER_KICKABLE_AFTER_DAYS_INACTIVITY = 30 //Days of inactivity after which a founder may kick another founder
DEBUG_BEAM_POWER_CONSUMPTION = false //server will send notifications on power consumed (not counting power given from supply) on server (costs performance, so only use for debugging)
DEBUG_BEAM_TICKS_DONE = false //server will send notifications on ticks done on server (costs performance, so only use for debugging)
DEBUG_BEAM_POWER_PER_TICK = false //server will send notifications on beam power per tick on server (costs performance, so only use for debugging)
DEBUG_MISSILE_POWER_CONSUMPTION = false //server will send notifications on missiles on server (costs performance, so only use for debugging)
BLUEPRINT_SPAWNABLE_SHIPS = true //enables or disables blueprint spawning from item
BLUEPRINT_SPAWNABLE_STATIONS = true //enables or disables blueprint spawning from item
USE_OLD_GENERATED_PIRATE_STATIONS = false //enables spawning of old style pirate stations
CARGO_BLEED_AT_OVER_CAPACITY = false //cargo is ejected every minute if storage is at over capacity
ALLOW_PERSONAL_INVENTORY_OVER_CAPACITY = false //Personal Inventory can go over capacity
ONLY_ALLOW_FACTION_SHIPS_ADDED_TO_FLEET = false //only allows faction ships to be added to fleet
MAX_CHAIN_DOCKING = 25 //maximal deepness of docking chains (may cause glitches depending on OS (path and filename length) at high numbers)
SHOP_RAILS_ON_ADV = true //Advanced shops will have 4 rails dockers that can be used like a neutral homebase (anything docked is safe)
SHOP_RAILS_ON_NORMAL = false //Normal shops will have 4 rails dockers that can be used like a neutral homebase (anything docked is safe)
ALLOW_FLEET_FORMATION = true //Allows fleet formation
BACKUP_WORLD_ON_MIGRATION = true //Back up world when migrating to a new file format
BACKUP_BLUEPRINTS_ON_MIGRATION = true //Back up blueprints when migrating to a new file format
DISPLAY_GROUPING_DEBUG_INFORMATION = false //Displays grouping calculation information
SECTORS_TO_EXPLORE_FOR_SYS = 15 //How many sectors of a system have to be explored
NPC_FACTION_SPAWN_LIMIT = -1 //Maximum npc factions per galaxy (-1 for unlimited (will still be around 2-10))
NPC_DEBUG_MODE = false //Sends complete NPC faction package to clients (very bandwith intensive)
FLEET_OUT_OF_SECTOR_MOVEMENT = 6000 //How long for an unloaded fleet to cross a sector in ms
NPC_LOADED_SHIP_MAX_SPEED_MULT = 0.7 //How fast NPC fleet ships are compared to their max speed when loaded
USE_FOW = true //Use 'fog of war'. Turning this off will make everything visible to everyone
NPC_LOG_MODE = 0 //use 0 for npc file logs [/logs/npc/] and 1 for normal log output
NPC_DEBUG_SHOP_OWNERS =  //Additional shop owners for npc faction shops (seperate with comma)
Clientconfig (settings.cfg)
C_USE_NEW_PLAYER_MODEL_ = true
CONTROL_HELP = false //Display help for controls
C_MOUSE_BUTTON_SWITCH = false //Switch build/remove mouse buttons
G_RESOLUTION = 1366 x 768 //Resolution
G_FULLSCREEN = false //Fullscreen
G_WINDOWED_BORDERLESS = false //Borderless windowed mode
G_TEXTURE_PACK = Default //Texture Pack
G_TEXTURE_PACK_RESOLUTION = 128 //Texture Quality (Resolution)
G_VSYNCH = false //Vert-Synch
G_MULTI_SAMPLE_TARGET = 0 //Antialiasing (Samples)
G_MULTI_SAMPLE = 0
G_GAMMA = 1.2 //Gamma (Needs Frambuffer)
G_FOV = 85.0 //Field of View
G_MAX_SEGMENTSDRAWN = 1100 //Amount of Chunks possibly drawn (view distance)
G_NORMAL_MAPPING = true //Enable Normal mapping
G_SHADOWS = false
G_SHADOW_QUALITY = BEST
G_SHADOWS_TARGET = false //Enable Shadows
G_SHADOW_QUALITY_TARGET = BEST //Set Shadow Quality
G_PROD_BG = true //Procedural Background (fbo req)
G_PROD_BG_QUALITY = 2048 //Procedural BG quality
G_DRAW_SURROUNDING_GALAXIES_IN_MAP = false //Draw other galaxies in map (slow)
HIT_INDICATION_NUMBERS_LIFETIME = 0.4 //Time, hit numbers remain (sec)
PLAYER_SKIN_CREATE =  //Create Player Skin
PLAYER_SKIN =  //Path to player skin. Remove to Use default
D_LIFETIME_NORM = 30 //Lifetime (secs) of debris (0 to turn off)
S_SOUND_SYS_ENABLED = true
S_SOUND_ENABLED = true //Sound
S_SOUND_VOLUME_GLOBAL = 4 //Sound Volume
USE_OPEN_AL_SOUND = true //OpenAL (Off fixes stutter, but silent videos. restart needed. working on fix)
N_TRANSMIT_RAW_DEBUG_POSITIONS = false
C_SELECTED_JOYSTICK = 0
ICON_BAKERY_BLOCKSTYLE_ROTATE_DEG = -90.0
MOUSE_WHEEL_SENSIBILITY = 7.0E-4
BUILD_MODE_SHIFT_SPEED = 25.0
ORBITAL_CAM_SPEED = 0.5
G_DAMAGE_DISPLAY = 600 //Damage display distance
G_STAR_COUNT = 4096 //Star Count
G_VBO_BULKMODE_SIZE = 4
G_DRAW_FOG = false
G_DRAW_BEAMS = true //Draw beams
G_DRAW_EXHAUST_PLUMES = true //Draw thruster plums
D_INFO_CONTROLMANAGER = false
D_INFO_SHADER = true
T_ENABLE_TEXTURE_BAKER = false
D_INFO_DRAW_TIMES = false
D_INFO_DRAW_SPACE_PARTICLE = false
G_SPACE_PARTICLE = true //Draw space dust particles
G_DRAW_MOUSE_COLLISION = false
G_ATMOSPHERE_SHADER = normal
F_FRAME_BUFFER = true //Use Framebuffer
G_SHADOW_NEAR_DIST = 1.0
G_SHADOW_FAR_DIST = 75.0
G_SHADOW_DEPTH_RANGE_NEAR = 0.0
G_SHADOW_DEPTH_RANGE_FAR = 1.0
G_SHADOW_SPLIT_FAR_0 = 0.325
G_SHADOW_SPLIT_NEAR_1 = 0.325
G_SHADOW_SPLIT_FAR_1 = 0.325
G_SHADOW_SPLIT_NEAR_2 = 0.325
G_SHADOW_SPLIT_MULT = 1.005
G_SHADOW_CROP_MATRIX_MAX = -1000.0
G_SHADOW_CROP_MATRIX_MIN = 1000.0
G_SHADOW_EXTRA_BACKUP = 20.0
G_SHADOW_NEAR_CLIP = 0.05
G_SHADOW_SPLIT_MAT_RADIUS_ADD_0 = 0.0
G_SHADOW_SPLIT_MAT_RADIUS_ADD_1 = 10.0
G_SHADOW_SPLIT_MAT_RADIUS_ADD_2 = 10.0
G_SHADOW_SPLIT_MAT_RADIUS_ADD_3 = 3.0
G_SHADOW_SPLIT_ORTHO_MAT_FAR_ADDED_0 = 0.0
G_SHADOW_SPLIT_ORTHO_MAT_FAR_ADDED_1 = 100.0
G_SHADOW_SPLIT_ORTHO_MAT_FAR_ADDED_2 = 50.0
G_SHADOW_SPLIT_ORTHO_MAT_FAR_ADDED_3 = 150.0
G_SHADOW_SPLIT_ORTHO_NEAR_ADDED = -100.0
G_SHADOW_ULTRA_FAR_BOUNDS_ADDED_0 = -0.013
G_SHADOW_ULTRA_FAR_BOUNDS_ADDED_1 = -0.002
G_SHADOW_ULTRA_FAR_BOUNDS_ADDED_2 = -0.002
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_0 = -0.023
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_1 = -0.002
G_SHADOW_OTHER_QUALITY_FAR_BOUND_ADDED_2 = -0.0
G_SHADOW_FOV_ADDED_RAD = 0.2
G_SHADOW_DISPLAY_SHADOW_MAP = false
G_DRAW_SHIELDS = true //Shield Effect
G_DRAW_WATER = true
G_DRAW_BACKGROUND = true //Background Image
G_WATER_USE_MIPMAPS = false
E_NAVIGATION_FILTER = 613
G_DRAW_ENTITIES = true
G_FRUSTUM_CULLING = true
G_DRAW_EFFECTS = true
G_SHADER_RELOAD = false
G_FRAMERATE_FIXED = 60 //Limit Framerate (30, 60, 120, 240, or -1 for unlimited),
G_SHADERS_ACTIVE = true
G_DEBUG_DRAW_GRID = false
G_DEBUG_DRAW_LINES = true
T_TERRAIN_DRAW = true
T_TERRAIN_WIREFRAME_DRAW = false
G_CULLING_ACTIVE = true
G_TEXTURE_ARRAYS = false
G_AUTO_NORMALIZATION = true
G_DRAW_BY_SIDES = true
G_WIREFRAMED = false
G_TEXTURE_COMPRESSION_BLOCKS = false
G_TEXTURE_ARRAY_COMPRESSION = true
G_TEXTURE_ARRAY_MIPMAP = true
G_TEXTURE_MIPMAP = true
G_SHADOWS_VSM = false
S_PAUSED = false
S_SETTINGS_SHOW = false
MINIMAP_MODE = LARGE //Radar (minimap) size
SECTOR_INDICATION_MODE = INDICATION_ONLY //Indicators for other sectors
S_KEY_ALLOW_DUPLICATES = true //Allow key assign duplicates
GIF_WIDTH = 640
GIF_HEIGHT = 640
GIF_FPS = 15
GIF_GUI = false
G_DEBRIS_THRESHOLD_MS = 4
S_INITIAL_SETTING = Single Player
S_GAME_MODE = Sandbox
G_BONE_ANIMATION = true
P_NT_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_ACTIVE_OCCLUSION = false
P_PHYSICS_DEBUG_ACTIVE = false
P_PHYSICS_DEBUG_MODE = 0
G_DEBUG_LINE_DRAWING_ACTIVATED = false
G_WINDOW_START_POSITION = center
G_DRAW_GUI_ACTIVE = true
G_DRAW_NO_OVERLAYS = false
G_PARTICLE_SORTING = true
P_PHYSICS_ACTIVATED = true
G_SMOKE_QUALITY = false
G_DRAW_STARS = true //Draw additional stars
G_DRAW_PASTE_PREVIEW = true //Draw preview for paste
G_USE_SPRITE_VBO = true
TUTORIAL_NEW = false //Tutorial enabled
G_AUTOSELECT_CONTROLLERS = true //AutoSelect Controllers
S_INFO_DRAW = FPS_AND_PING //Tech Info
G_VBO_FLAG = STATIC
N_LAG_COMPENSATION = true
N_IGNORE_SAVED_UPLINK_CREDENTIALS_IN_SINGLEPLAYER = true
N_SERVERTIME_UPDATE_FREQUENCY = 10000
M_TEXTURE_PACK_CONFIG_TOOL = ./data/textures/block/Default/64/
G_MIPMAP_LEVEL_MAX = 3
M_MOUSE_SENSITIVITY = 0.6 //MoUse Sensitivity
G_HIT_INDICATION_SIZE = 1.0 //Size of hit indications
F_BLOOM = false //Bloom Effect
F_BLOOM_INTENSITY = 0.4 //Bloom Intensity
S_MOUSE_LOCK = true
G_DRAW_ADV_BUILDMODE_BLOCK_PREVIEW = true
G_SHOW_PURE_NUMBERS_FOR_SHIELD_AND_POWER = false
S_FLIP_HOTBAR_MOUSEWHEEL_WITHOUT_CTRL = true //flip through hotbars on mouse wheel without control
S_ZOOM_MOUSEWHEEL = SLOTS //primary mouse wheel function
S_MOUSE_SHIP_INVERT = false //Invert MoUse-Y (Ship)
S_MOUSE_ALL_INVERT = false //Invert MoUse-Y (All)
S_USE_REGION_SIGNATURE_TEST = false
G_PREVIEW_TO_BUILD_BLOCK = false //Preview Block to build
S_EXIT_ON_ESC = false
G_USE_HIGH_QUALITY_BACKGROUND = false
G_DRAW_POPUPS = true
G_USE_VBO_MAP = true
G_DRAW_JUMP_OVERLAY = true
G_MAG_FILTER_LINEAR_BLOCKS = false //Use linear mag filter on Blocks (restart required)
BLOCK_TEXTURE_ANISOTROPY = true //Anisotropic block textures (restart required)
G_MAG_FILTER_LINEAR_GUI = false //Use linear mag filter on GUI (restart required)
G_MAX_BEAMS = 1024 //MaxBeamsDrawn (restart required)
SEGMENT_REQUEST_BATCH = 64 //Size of Chunk request-queue
CLIENT_BUFFER_SIZE = 65536
ICON_BAKERY_SINGLE_RESOLUTION = 150
LIGHT_RAY_COUNT = 48 //Block light quality (impacts chunk refresh time, but not fps)
ICON_BAKERY_SINGLE_ICONS = false
G_MUST_CONFIRM_DETACHEMENT_AT_SPEED = 50.0 //Popup Detach Warning (% server speed, -1 off)
G_USE_SHADER4 = true
O_OCULUS_RENDERING = false
G_USE_VERTEX_LIGHTING_ONLY = false //Simple Lighting Quality (faster)
CLIENT_TRAFFIC_CLASS = true
G_DRAW_SELECTED_BLOCK_WOBBLE = true
G_USE_TWO_COMPONENT_SHADER = false
A_FORCE_AUTHENTICATION_METHOD = -1
MIN_FFA = 2
B_UNDO_REDO_MAX = 30
G_DRAW_ANY_CONNECTIONS = true //Draw connections between logic blocks
G_DRAW_ALL_CONNECTIONS = false //Draw all connections (not only logic)
N_ARTIFICIAL_DELAY = 0
SEGMENT_PIECE_QUEUE_SINGLEPLAYER = 32767
G_MAX_MISSILE_TRAILS = 128 //Max Missile Trails (restart required)
G_USE_OCCLUSION_CULLING = false
C_AUTOASSIGN_WEAPON_SLOTS = true //Autoassign weapons on fire if bar empty
G_DRAW_NT_STATS_OVERLAY = false //Draw network statistics in hud
CLIENT_CUSTOM_TEXTURE_PATH = ./customBlockTextures
SECRET = none
LIMIT_FPS_UNFOCUS = true
GUI_USE_DISPLAY_LISTS = false
USE_GL_MULTI_DRAWARRAYS = true //MultiDraw Optimization (turn off on chunk Draw problems)
USE_GL_MULTI_DRAWARRAYS_INITIAL_SET = true
CHAT_CLOSE_ON_ENTER = true //Close chat on enter
A_FORCE_LOCAL_SAVE_ENABLED_IN_SINGLE_PLAYER = false
G_SHIP_INFO_ZOOM = 0
G_SINGLEPLAYER_CREATIVE_MODE = true //creative mode
G_DRAW_LAG_OBJECTS_IN_HUD = true //Draw lag statistics in hud
G_SHOW_SYMMETRY_PLANES = true //Show symmetry planes
LANGUAGE_PACK = english
LANGUAGE_PACK_ASSIGNED = true
DELETE_SEVER_DATABASE_ON_STARTUP = false
G_BASIC_SELECTION_BOX = false //Draw basic selection boxes
OFFLINE_PLAYER_NAME = Kingofanime
ONLINE_PLAYER_NAME = 
SERVERLIST_COMPATIBLE = true
SERVERLIST_RESPONSIVE = true
SERVERLIST_FAVORITES = false
SERVERLIST_CUSTOMS = false
CUBE_LIGHT_NORMALIZER_NEW_M = true
SERVERLIST_LAST_SERVER_USED = 
LAST_GAME = SP;Test19;4242;Kingofanime
PLAY_INTRO = true //Play Intro
SUBTITLES = true //Subtitles
TUTORIAL_BUTTON_BLINKING = true
TUTORIAL_PLAY_INTRO = true
TUTORIAL_WATCHED = 
SHOW_32BIT_WARNING = true
USE_INTEGER_VERTICES = true
LOD_DISTANCE_IN_THRESHOLD = 80.0 //Non Block Render Distance (LoD)
AUTOSET_RESOLUTION = false
FIRST_START = false
USE_TGA_NORMAL_MAPS = true
PLUME_BLOOM = true
Java Version (32bit)

Microsoft Windows [Version 6.3.9600]
(c) 2013 Microsoft Corporation. All rights reserved.

C:\Users\Clinton>java -d32 -version
Error: This Java instance does not support a 32-bit JVM.
Please install the desired version.

C:\Users\Clinton>

Java Version (64bit)

C:\Users\Clinton>java -d64 -version
java version "1.8.0_111"
Java(TM) SE Runtime Environment (build 1.8.0_111-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.111-b14, mixed mode)

C:\Users\Clinton>

There are a very large number of changes, so older changes are hidden. Show Older Changes
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.Dec 13 2016, 8:34 PM
SmilingDemon changed the title from "NPC Fleets Leaving Docked Entities Behind" to "Fleets loosing docked entities ".
SmilingDemon triaged this task as "Pre-Release Quality Assurance" priority.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
SmilingDemon edited Steps to reproduce. (Show Details)
SmilingDemon edited Tester information (Internal use only). (Show Details)
SmilingDemon changed Affected Gamemode(s) from Singleplayer to Single and Multi.
SmilingDemon set Last tested (version) to 0.199.335 (DEV).
SmilingDemon changed Category from none/unspecified to Fleets.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptDec 13 2016, 8:34 PM
SmilingDemon edited Tester information (Internal use only). (Show Details)Dec 13 2016, 8:35 PM
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptDec 13 2016, 8:35 PM
AndyP lowered the priority of this task from "Pre-Release Quality Assurance" to "High".Dec 13 2016, 8:40 PM

Lowering priority.
Was in before last release, can wait for the next bug-fixing cycle.

Just to add.

This only effects ships in a fleet.
Set "move order" and fly the flagship to a waypoint and it will lose some turrets and also some of the other fleet ships will as well when hey arrive.
When all ships are at the waypoint, take flagship one jump away and the turrets return back on the flagship.

DocHellfish added a comment.EditedFeb 1 2017, 4:06 PM

Did this fall off the radar? I thought the comment above said a fix had already been generated. Please forgive any impertinence as I know there are far bigger fish to fry and this is really my first time using this, but this really gets in the way of my plans for galactic domination. :)

Please any diety listening fix this issue. This game could be the perfect blend of minecraft and homeworld if only my drone fleets had turrets that actually stay on them when the fleets go out on maneuvers. I spend half my time improving turret design and the other half of my time building fleets. Fleets with ships that have turrets. Right now they can't leave my homeworld's local space unless they do so one ship at a time. Or if I go out with the fleet myself. And even then one unit got too far away and had a turret 'accident'.

tldr - Please fix. Please.

Endal added a subscriber: Endal.Feb 18 2017, 2:56 AM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:04 PM
Restricted Application added a project: Fleets. · View Herald TranscriptMar 10 2017, 5:04 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the Fleets board.Mar 11 2017, 11:02 PM

This has been happening to me also. It makes me want to quit playing the game. Go out with 5 ships on a mission 3 come back with no turrets, 64 turrets gone. Time and resources just disappear.

5ilence added a subscriber: 5ilence.Apr 9 2017, 8:47 PM

This just happened to me aswell, my fleets did a round then returned bare of any turrets - I have no idea where any them are. This really cripples the use of fleets - cannot wait for a fix!

I think an update to the title of this bug is required - it doesnt only affect NPC fleets, but player fleets aswell. Hopefully this will get some traction, as its currently crippling the use of combat fleets, and its even getting mentioned in YouTube videos (https://www.youtube.com/watch?v=UO74wAJxtPc at 2:40) as 'that fleet turret bug' #FleetTurretBug!

I think an update to the title of this bug is required - it doesnt only affect NPC fleets, but player fleets aswell. Hopefully this will get some traction, as its currently crippling the use of combat fleets, and its even getting mentioned in YouTube videos (https://www.youtube.com/watch?v=UO74wAJxtPc at 2:40) as 'that fleet turret bug' #FleetTurretBug!

Yeah the issue is about Fleets in general, not NPC only.

lancake edited the task description. (Show Details)Apr 14 2017, 12:27 PM
schema changed the task status from "In Queue" to "Resolved".EditedApr 14 2017, 12:48 PM
schema added a subscriber: schema.

This should be finally resolved.

To test, use
/fleet_debug_move sectorX sectorY sectorZ (while having a fleet ship selected)
and /fleet_speed 10 (for 10 ms sector changes)

the fleet will then start to move back and forth between this position and the target. There will also be automatic debug checking if the docks are ok when it comes back. The game willa auto shutdown also to preserve the logs.

(keep in mind that the debug can also be triggered by manually removing a dock, so be careful not to cause it accidentially. /fleet_debug_stop on any ship of a fleet stops the debugging patrol)

Restricted Application added a project: Quality Assurance. · View Herald TranscriptApr 14 2017, 12:48 PM
lancake changed the title from "Fleets loosing docked entities " to "Fleets losing docked entities ".Apr 14 2017, 2:08 PM

Could schema please clarify which game build has corrected the problem?

I installed the latest pre-release availabe today and performed the fleet debug mve test described above. At first I thought that the issue was well and truely gone as I watched a fleet of four ships with ten turrets each do a debug mission and keep all their turrets. That worked, so I disabled fleet debug and sent the fleet from one of my bases to another one. When I caught up to them they still had all their turrets. I ordered them home and jumped ahead of them to watch their arrival.

This time they lost all their turrets. Just like before. I turned them back around and followed their flight path until they magically regained their turrets about half-way through the journey.

Was the latest pre-release build the wrong build? Should I install the dev build instead?

Definitely needs resolving. Fed up of finding missing turrets or NPC delivery fleets leaving doors or turrets behind!

AndyP added a comment.Apr 14 2017, 5:26 PM

Could schema please clarify which game build has corrected the problem?

I installed the latest pre-release availabe today and performed the fleet debug mve test described above. At first I thought that the issue was well and truely gone as I watched a fleet of four ships with ten turrets each do a debug mission and keep all their turrets. That worked, so I disabled fleet debug and sent the fleet from one of my bases to another one. When I caught up to them they still had all their turrets. I ordered them home and jumped ahead of them to watch their arrival.

This time they lost all their turrets. Just like before. I turned them back around and followed their flight path until they magically regained their turrets about half-way through the journey.

Was the latest pre-release build the wrong build? Should I install the dev build instead?

This usually affects the next build after the issue changed the state to resolved.

Could you provide logs of that session where they disappeared? Zip those up so you don't have to upload them individually. (Drag and drop the file into the comment section to upload to phabricator)

Log zip dragged and dropped per lancake's request. The logs include a bit of unrelated building, the fleet launch, fleet debug maneuvers, a game crash, and fleet movements that include turret loss and turret return.

logstarmade.turretsoffandon.zip1 MB

I saw a false positive in there (debug triggered shutdown because it thought there was a difference but the docking process just didn't finish)

I can't really identify the ship the issue happened on.

There is a "Minion Seven" which seems to have some undocking going on. However, the logs says that there are some parts of that missing in the database. This suggests they have ben removed otherwise. I also cannot find any mention of that ship in the prior logs that had the usage of the debug patrol. And it would also not fit in your description of those turrets reappearing.

Which ship did exactly lose their turrets?

Also, did you jump into their path? I mean, did you trigger the loading by jumping in a sector next to them directly, or did you jump into a sector that wasn't close enough for them to load so they went into loading range and loaded?

Oh and another thing. I suppose the turrets aren't part of the fleet directly (as in: you added them to the fleet and then docked them)

Minion Seven was decomissioned due to losing turrets before these logs. The turrets themselves may have been floating around in the background. The fleet in question had: Minion 01, Minion 02, Underling 01, and Underling 02. (Names partially abbreviated due to my mark/version system).

I watched from another ship as they followed a fleet move command until i lost sight of them. I believe they fell off radar as well. I then jumped past the fleet to their destination. They were not close enough to show on radar yet. When they appeared, they were all turret free.

I then turned the fleet around and sent them back to the very sector they started at. This time I followed the fleet closely. When the fleet reached a certain sector, the turrets re appeared where they belonged. I can't be sure, but I think the sector may have been the same one I lost sight of them
In before jumping past them.

As far as fleet-turret relations, all four ships were built in a shipyard with turrets pre-attached as part of the design. The trurrets do not have their own faction modules.

What percentage of the player base has this problem? Could it be due to the age of my savegame or file corruption of some sort? Would taking my blueprints into a newly generated single player server have any chance of solving the issue?

I have a possible fix (0.199.524 or later).

This fix will manually check if a ship is missing docks after it loaded. If so, docks will be moved to the sector. This will create a log entry and broadcast a message to admins on that server, since it is more a fallback than it is a real fix. However, this trigger might help us find the actual cause of the remaining problem.

Please report if you encounter the admin message:

[ADMIN] (NON FATAL) WARNING: Dock for <ShipName> was not in
the right sector.
It has been moved to its mothership.
Please send in logs since this fallback shouldn't happen."

I Know this is not my thread but i want to help.
I have version .524 and get the Admin message.
Here is the Log file.
logstarmade.0.log2 MB

I hope it helps :)

GRHayes added a subscriber: GRHayes.EditedApr 15 2017, 6:25 PM

The attached file is a zip of the logs from trying the new pre-build.
The first time entering the world I didn't even make it in before error occured.
I tried again. Upon doing so i got many many errors flashing across the screen and red text to small to see all across the screen. So i did some looking to see what I could find before the server shut down.
i took a screen shot of what I seen. I enclosed it in the file as well.
It probably would have been better if I recorded it.
From appearances the errors happened as the ships loaded in. It appears you created a function to test if a child entity is missing from the parent from looking at the error log.
I would bet this is a database race condition as I posted in the thread.

grh.zip1 MB

@MoonDoggi
@GRHayes

Thank you for the logs, we will look into them.

Now the stations are merged.


That's the error who crash's the universe.

The Log's for the merged stations (2 and 3) and the crash (0 and 1).
logs.7z156 KB

I can't load the crashed universe directly i have to restart the game.

Andy you are welcome.

In T2094#98359, @schema wrote:

Please report if you encounter the admin message:

[ADMIN] (NON FATAL) WARNING: Dock for <ShipName> was not in
the right sector.
It has been moved to its mothership.
Please send in logs since this fallback shouldn't happen."

Hey, just saw the messages regarding this bug on my singleplayer game.
Also had the server shut down for the debug shortly afterwards. Logs are attached.EricBlank Logs 4-18-17.zip1 MB

https://phab.starma.de/F16019

I'd just created the fleet 10 minutes or so earlier, had been playing for a couple hours.

thank you. this might help a lot

schema added a comment.EditedApr 18 2017, 1:31 PM

Fixed a bug where the fallback would trigger in the wrong circumstances.

in 0.199.526 or later

In T2094#98394, @schema wrote:

in 0.199.526 or later

I had to load the backup universe but there are no problem ... no message and no merged stations and no "homeless" npc fleets.

EricBlank added a comment.EditedApr 19 2017, 2:04 AM

EB Logs 4-18 199_527.zip365 KB

I replicated the bug again, this time in 199.527. did not get the admin error messages this time. Jumping around on their patrol path when they're about to offload does seem to be fairly reliable.

However, when I went over all the bombers, all their turrets and canopies are still docked. Last time I ran the debug and came back, the docked components were actually missing.

AndyP added a comment.Apr 19 2017, 7:47 AM

Does replicate mean: you could get the bug to happen again and thus upload the logs again, or does it mean you replicated the situation and the bug did not happen?

schema added a commit: Restricted Diffusion Commit.Apr 19 2017, 12:11 PM
schema added a commit: Restricted Diffusion Commit.

ok thank you. This is likely a false positive. I uploaded another build that will fix that. It will also notify admins, if a ship is waiting for its docks for a bigger amount of time.

Please try and cause the error again on that build (0.199.528 or later)

In T2094#98459, @AndyP wrote:

Does replicate mean: you could get the bug to happen again and thus upload the logs again, or does it mean you replicated the situation and the bug did not happen?

Sorry, i mean the server debug script detected something changed and shut itself down. When i went to view the bombers after reloading it all their docked entities are still attached. So i guess the bug didnt happen but the server thought it did?

In T2094#98459, @AndyP wrote:

Does replicate mean: you could get the bug to happen again and thus upload the logs again, or does it mean you replicated the situation and the bug did not happen?

Sorry, i mean the server debug script detected something changed and shut itself down. When i went to view the bombers after reloading it all their docked entities are still attached. So i guess the bug didnt happen but the server thought it did?

Yes, had it too. It was a false positive meaning that the script thought the docks were gone but everything was still fine (as you saw yourself).
This false positive should not happen anymore in version 0.199.528 or later.

Just ran .199.531 on a game where I reinstalled starmade from scratch and then added my blueprints and server-database.

The turret issue seems to have been cured. I ran the same four ship fleet that bugged out the other day back and forth between to points 18km apart and jumped around them to set up different encounters. The four ships retained their turrets every time. Four fleet move commands may not sound like heavy stress testing, but that was three movement commands longer than I had ever kept my turrets before.

FYI, when running .529 earlier it kept crashing when I attempted to undock a ship from my home base. This bug seems fixed in .531.

EricBlank added a comment.EditedApr 20 2017, 1:19 AM

I ran .529 for about an hour and a half and couldnt trigger the debug script or lose any docked entities. Updating to .531 now

Again in .531 cannot seem to trigger the bug. I got loads of messages about docked entities from traders guild faction fleets losing their docks and having them moved, but none of them triggered the debug script and my fleet had no such problems

I ran .529 for about an hour and a half and couldnt trigger the debug script or lose any docked entities. Updating to .531 now

Again in .531 cannot seem to trigger the bug. I got loads of messages about docked entities from traders guild faction fleets losing their docks and having them moved, but none of them triggered the debug script and my fleet had no such problems

Did you find those faction fleets that supposedly had missing docked entities? Maybe the messages are false positives and the actual entity is just fine.

I couldnt pinpoint the ships involved, no, there was a lot going on around me. I havent loaded that world since, so I can probably try to track them down

Since all of the docking/station problems are fixed, all station have now 0 mass and dos not get damage by any weapon (the projectiles hit without dmg).

Since all of the docking/station problems are fixed, all station have now 0 mass and dos not get damage by any weapon (the projectiles hit without dmg).

The 0.0 mass was already there before release version 0.199.472, reported in T2214.
Not doing any damage to entities is something else, has popped up several times since years ago now so could not be related to these fix attempts.

GRHayes removed a subscriber: GRHayes.May 1 2017, 7:01 PM
wjg added a subscriber: wjg.Aug 30 2017, 8:46 PM

Managed to cause the ship not same as self exception in v0.199.654, happened in trader controlled area.
Log 0-1 for serverlog/logstarmade/npcs included. logs.rar221 KB
Could not join world directly after that exception but a restart allowed me to enter at an earlier point.